> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/docs/checkout/tokenization-fetching-storing",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Fetch and store payment tokens

> Retrieve a Dintero payment token after the customer completes card entry by polling the transaction with the includes query parameter and persist it securely.

When the customer has completed filling in their card info, the `return_url` and `callback_url` will receive a request.

When you get this request, the payment token will be stored on the transaction.
Use [get transaction details] to retrieve the transaction, with the query-param `includes`
to include the cards tokens

**example**:

* `?includes=card.payment_token`
* `?includes=card.recurrence_token`

The token will then be included in the card details, e.g. `card.payment_token`.

<Info>
  Store the token internally in a secure manner.
</Info>

[get transaction details]: /payments-api.html#operation/transactions_id_get
